# Gst::QueryConvert Class Reference

A convert query object. More...

Inherits Gst::Query.

Collaboration diagram for Gst::QueryConvert:
[legend]

List of all members.

## Public Member Functions

| QueryConvert (GstQuery* query)
void | set (Format src_format, gint64 src_value, Format dest_format, gint64 dest_value)
| Answer a convert query by setting the requested values.
void | parse (Format& src_format, gint64& src_value, Format& dest_format, gint64& dest_value) const
| Parse a convert query answer.
void | parse (Format& dest_format, gint64& dest_value) const
| Parse the destination format and value of a convert query answer.
Format | parse_src_format () const
| Parse the source format of a convert query answer, returning the format.
gint64 | parse_src_value () const
| Parse the source value of a convert query answer returning, the value.
Format | parse_dest_format () const
| Parse the destination format of a convert query answer, returning the format.
gint64 | parse_dest_value () const
| Parse the destination value of a convert query answer, returning the value.

## Static Public Member Functions

static Glib::RefPtr< Gst::Query > | create (Format src_format, gint64 value, Format dest_format)
| Constructs a new convert query object.

## Detailed Description

A convert query object.

See create() for more details.

## Constructor & Destructor Documentation

Gst::QueryConvert::QueryConvert | ( | GstQuery * | query | ) | `[explicit]`

## Member Function Documentation

static Glib::RefPtr<Gst::Query> Gst::QueryConvert::create | ( | Format | src_format,
|  | gint64 | value,
|  | Format | dest_format |
| ) |  |  | `[static]`

Constructs a new convert query object.

A convert query is used to ask for a conversion between one format and another.

Parameters:

  | src_format | The source Gst::Format for the new query.
  | value | The value to convert.
  | dest_format | The target Gst::Format.

Returns:
  The new Gst::QueryConvert.

void Gst::QueryConvert::parse | ( | Format& | dest_format,
|  | gint64 & | dest_value |
| ) |  |  | const

Parse the destination format and value of a convert query answer.

Parameters:

  | dest_format | The storage for the Gst::Format of the destination value.
  | dest_value | The storage for the destination value.

void Gst::QueryConvert::parse | ( | Format& | src_format,
|  | gint64 & | src_value,
|  | Format& | dest_format,
|  | gint64 & | dest_value |
| ) |  |  | const

Parse a convert query answer.

Use the other parse() methods for parsing individual values.

Parameters:

  | src_format | The storage for the Gst::Format of the source value.
  | src_value | The storage for the source value.
  | dest_format | The storage for the Gst::Format of the destination. value.
  | dest_value | The storage for the destination value.

Format Gst::QueryConvert::parse_dest_format | ( |  | ) | const

Parse the destination format of a convert query answer, returning the format.

Returns:
  The Gst::Format of the destination value.

gint64 Gst::QueryConvert::parse_dest_value | ( |  | ) | const

Parse the destination value of a convert query answer, returning the value.

Returns:
  The destination value.

Format Gst::QueryConvert::parse_src_format | ( |  | ) | const

Parse the source format of a convert query answer, returning the format.

Returns:
  The Gst::Format of the source value.

gint64 Gst::QueryConvert::parse_src_value | ( |  | ) | const

Parse the source value of a convert query answer returning, the value.

Returns:
  The source value.

void Gst::QueryConvert::set | ( | Format | src_format,
|  | gint64 | src_value,
|  | Format | dest_format,
|  | gint64 | dest_value |
| ) |  |  |

Answer a convert query by setting the requested values.

Parameters:

  | src_format | The source Gst::Format.
  | src_value | The source value.
  | dest_format | The destination Gst::Format.
  | dest_value | The destination value.

The documentation for this class was generated from the following file:

- gstreamermm/query.h